Barth
Netterfield

    kst@omega.astro.utoronto.ca

# Het gebruik van de commandoregel en voorbeelden

Kst kan typisch worden gebruikt voor het maken van XY-plots of Z-afbeeldingen van gegevensbestanden vanaf de commandoregel. Kst kan ASCII-gegevens lezen, binaire bestanden die compatibel zijn met (de kst-functies) "readdata" en "dirfile", en optioneel (hiervoor zijn externe bibliotheken nodig) FITS-afbeeldingen, PIOLib-bestanden, vetCDF-bestanden en HEALPix FITS-bestanden.

&kst; Samenvatting opdrachtregels

## kst

Een programma voor het plotten en het bekijken van gegevens

De opties zijn:

    kst Qt-opties KDE-opties opties bestand

### Opties

`[bestand...]`

  Een kst-bestand, of een of meer gegevensbestanden. Ondersteunde bestandstypen zijn ASCII-kolommen, BOOMERANG frame-bestanden, of BLAST dirfile-bestanden en andere optioneel ondersteunde bestandstypen. In een .kst-bestand zijn alle opties opgenomen die door andere opties kunnen worden gewijzigd. De volgende opties kunnen worden gebruikt om de opties ingesteld in het .kst-bestand te wijzigen: `-F datafile`, `-n NS`, `-s NS`, `-f F0`, `-a`. De rest kan niet worden gewijzigd. Wijzigingen gelden voor alle vectoren in de plot.

  ASCII-gegevens afkomstig van stdin (het toetsenbord) kunnen worden geplot door "stdin" op te nemen in de lijst `[bestand...]`.

`-y Y`

  De bron voor de Y-asgegevens. In ASCII-bestanden is dit de kolom. In binaire bestanden is dit de veldnaam. Om meerdere krommen tegelijk te plotten kan dit meerdere keren worden opgegeven. Hierbij worden hetzelfde bronbestand, intervallen voor bemonstering (sample ranges) en gegevens voor de X-as aangenomen.

`-e E`

  Foutbalken voor de Y-asgegevens. In een ASCII-bestand: zie de kolom die de gegevens bevat. In binaire bestanden gebruikt u de veldnaam. Bij meerdere `-y Y`-opties kan dit ook meerdere keren worden gebruikt. Individueel ingevoerde Y-waarden worden in verband gebracht met meervoudige foutbalkgegevens.

`-x X`

  De bron voor de X-asgegevens. In ASCII-bestanden is dit de kolom. In "readdata"- bestanden is dit de veldnaam. Als deze optie niet opgegeven is wordt het rijnummer in het bestand gebruikt. Deze optie kan maar een keer worden opgegeven.

`-z Z`

  De bron van de gegevens voor de Z-matrix (die als een afbeelding wordt weergegeven). In ASCII-bestanden is dit de kolom met de z-gegevens. Bij andere optionele bestandstypen (HEALPix, FITS-afbeelding enz.) is dit de naam van het gewenste gegevensveld, zoals te zien in de matrix-dialoog. In sommige matrix-compatibele gegevensbronnen kan ook een alias worden gebruikt die het nummer is van het gewenste veld in de matrix. Om meer dan een matrix te plotten kan dit meerdere keren worden opgegeven.

`-p P`

  De bron voor Fourierspectra. In ASCII-bestanden is dit de kolom. In binaire bestanden is dit de veldnaam. Om Fourierspectra voor meerdere krommen tegelijk te plotten kan deze meerdere keren worden opgegeven. Voor alle Fourierspectra waarom vanaf de commandoregel wordt gevraagd worden hetzelfde bronbestand, intervallen voor bemonstering (sample ranges) en FFT-lengtes gebruikt.

`-l P`

  De lengte van de FFT (Fast Fourier Transform, snel algoritme voor Foutiertransformatie) die wordt gebruikt voor de benadering van het Fourierspectrum is 2^p.

`-h H`

  De bron voor histogrammen. In ASCII-bestanden is dit de kolom. In binaire bestanden is dit de veldnaam. Vanaf de commandoregel kunnen meerdere histogrammen tegelijk worden gedefinieerd.

`-m NC`

  Wordt gebruikt als er meerdere krommen zijn gedefinieerd. In plaats van ze alle in dezelfde plot te tekenen wordt elke plot apart getekend.

`-f F0`

  Het nummer van de frame vanaf welke het lezen wordt gestart (voor "readdata"bestanden) of rij (voor ASCII-bestanden).

`-n`

  Het aantal frames (voor "readdata"bestanden) of rijen (voor ASCII-bestanden) die moeten worden gelezen.

`-s NS`

  Het aantal frames of rijen die bij het lezen steeds moeten worden overgeslagen. Dit is nuttig bij het lezen van erg grote gegevensbestanden om de verwerking te versnellen en om geheugen te besparen in het geval dat de gegevens slechts langzaam veranderen.

`-a`

  Gebruikt met de optie `-s NS`: in plaats van elke NS frames over te slaan worden die gemiddeld. Hiermee verkrijgt men een combinatie van een erg eenvoudig hoogdoorlaat filter (high pass filtering) en een geheugenbesparing.

`-F Datafile`

  In plaats van uit het gegevensbestand worden alle vectoren gelezen uit het .kst-bestand. Kan alleen in samenwerking met een .kst-bestand worden gebruikt.

`--print psfile`

  In plaats van de plot op het scherm te tonen wordt de afbeelding geëxporteerd naar een postscript-bestand en het programma verlaten. *BUG opmerking: hoewel er op het scherm geen vensters zijn geopend is toegang tot de X-server toch vereist.*

`--png pngfile`

  In plaats van de plot op het scherm te tonen wordt de afbeelding geëxporteerd naar een .pngbestand met de afmetingen 640x480 en het programma verlaten. *BUG opmerking: hoewel er op het scherm geen vensters zijn geopend is toegang tot de X-server toch vereist.*

### Voorbeelden van de commandoregel

U ziet hier enkele voorbeelden van een typisch gebruik.

Om kolom 1 te plotten van een bestand (tmp.dat) met ASCII-gegevens:

    kst -y 1
    tmp.dat

Om de kolommen 2, 3 en 4 te plotten tegen kolom 1 van een ASCII-bestand, in 1 plot:

    kst -x 1 -y 2 -y 3 -y 4 tmp.dat

Om de kolommen 2, 3 en 4 te plotten tegen kolom 1 van een ASCII-bestand, in 3 plots, gerangschikt in 1 kolom:

    kst -x 1 -y 2 -y 3 -y 4 -m 1 tmp.dat

Om 500 rijen van kolom 2 te plotten van een ASCII-bestand vanaf rij 100

    kst -y 2 -f 100 -n 500 tmp.dat

Om de eerste 100.000 rijen van kolom 2 te plotten van een ASCII-bestand, waarbij steeds elke 100 rijen worden gemiddeld:

    kst -y 2 -f 0 -n 100000 -s 100 -a tmp.dat

(Met gebruik van een optionele HEALPix gegevensbron) Om de eerste 3 afbeeldingen te plotten in een HEALPix FITS-bestand in een 2x2 schema:

    kst -z 1 -z 2 -z 3 -m 2 healpix_example_sm.fits

(Met gebruik van een optionele HEALPix gegevensbron) Om een afbeelding met een bepaalde naam te plotten in een HEALPix FITS-gegevensbestand:

    kst -z "1 - TEMPERATURE (Kelvin)" healpix_example_sm.fits